Loading...
Searching...
No Matches
Attributes and Cntls
Globus XIO » Globus XIO ORDERING Driver

Attributes and Cntls. More...

## Enumerations

enum | globus_xio_ordering_cmd_t { GLOBUS_XIO_ORDERING_SET_OFFSET , GLOBUS_XIO_ORDERING_SET_MAX_READ_COUNT , GLOBUS_XIO_ORDERING_GET_MAX_READ_COUNT , GLOBUS_XIO_ORDERING_SET_BUFFERING , GLOBUS_XIO_ORDERING_GET_BUFFERING , GLOBUS_XIO_ORDERING_SET_BUF_SIZE , GLOBUS_XIO_ORDERING_GET_BUF_SIZE , GLOBUS_XIO_ORDERING_SET_MAX_BUF_COUNT , GLOBUS_XIO_ORDERING_GET_MAX_BUF_COUNT }

## Functions

globus_result_t | globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_ORDERING_SET_OFFSET, globus_off_t offset)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_ORDERING_SET_MAX_READ_COUNT, int max_read_count)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_ORDERING_GET_MAX_READ_COUNT, int *max_read_count_out)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_ORDERING_SET_BUFFERING, globus_bool_t buffering)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_ORDERING_GET_BUFFERING, globus_bool_t *buffering_out)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_ORDERING_SET_BUF_SIZE, int buf_size)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_ORDERING_GET_BUF_SIZE, int *buf_size_out)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_ORDERING_SET_MAX_BUF_COUNT, int max_buf_count)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_ORDERING_GET_MAX_BUF_COUNT, int *max_buf_count_out)

## Detailed Description

Attributes and Cntls.

Ordering driver specific attrs and cntls.

See also
  globus_xio_attr_cntl()
  globus_xio_handle_cntl()

## Enumeration Type Documentation

## globus_xio_ordering_cmd_t

enum globus_xio_ordering_cmd_t

ORDERING driver specific cntls

Enumerator
GLOBUS_XIO_ORDERING_SET_OFFSET | See usage for: globus_xio_handle_cntl
GLOBUS_XIO_ORDERING_SET_MAX_READ_COUNT | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_ORDERING_GET_MAX_READ_COUNT | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_ORDERING_SET_BUFFERING | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_ORDERING_GET_BUFFERING | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_ORDERING_SET_BUF_SIZE | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_ORDERING_GET_BUF_SIZE | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_ORDERING_SET_MAX_BUF_COUNT | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_ORDERING_GET_MAX_BUF_COUNT | See usage for: globus_xio_attr_cntl

## Function Documentation

## globus_xio_attr_cntl() [1/8]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_ORDERING_GET_BUF_SIZE | ,
|  | int * | buf_size_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the size of the buffer used for the internal reads.

Parameters

  buf_size_out | The buffer size will be stored in here.

## globus_xio_attr_cntl() [2/8]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_ORDERING_GET_BUFFERING | ,
|  | globus_bool_t * | buffering_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the buffering flag on the attr.

Parameters

  buffering_out | Buffering flag will be stored in here.

## globus_xio_attr_cntl() [3/8]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_ORDERING_GET_MAX_BUF_COUNT | ,
|  | int * | max_buf_count_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the maximum buffer count set on the attr.

Parameters

  max_buf_count_out | The maximun buffer count will be stored in here.

## globus_xio_attr_cntl() [4/8]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_ORDERING_GET_MAX_READ_COUNT | ,
|  | int * | max_read_count_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the maximum number of parallel reads set on the attr.

Parameters

  max_read_count_out | The maximum number of parallel reads allowed will be stored here.

## globus_xio_attr_cntl() [5/8]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_ORDERING_SET_BUF_SIZE | ,
|  | int | buf_size )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the size of the buffer that ordering driver creates to use for reading data from the driver below it.

Parameters

  buf_size | Specifies the buffer size for internal reads (default is 100 KB).

## globus_xio_attr_cntl() [6/8]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_ORDERING_SET_BUFFERING | ,
|  | globus_bool_t | buffering )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. This driver can be used in 2 modes; ordering (care about offsets of the data read - underlying transport driver may deliver data out of order - this driver will rearrange data based on the offset and deliver inorder to user) and buffering (do not care about offsets - just buffer the data read abd deliver it when requested). This attribute control can be used to enable buffering.

Parameters

  buffering | GLOBUS_TRUE to enable buffering, GLOBUS_FALSE (default) to disable buffering.

## globus_xio_attr_cntl() [7/8]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_ORDERING_SET_MAX_BUF_COUNT | ,
|  | int | max_buf_count )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the maximum number of buffers that this driver can create for reading data from the driver below it.

Parameters

  max_buf_count | Specifies the max buffer count for internal reads (default is 100).

## globus_xio_attr_cntl() [8/8]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_ORDERING_SET_MAX_READ_COUNT | ,
|  | int | max_read_count )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the maximum number of reads that ordering driver can have outstanding on driver(s) below.

Parameters

  max_read_count | Specifies the maximum number of parallel reads (default is 1).

## globus_xio_handle_cntl()

globus_result_t globus_xio_handle_cntl | ( | handle | ,
|  | driver | ,
|  | GLOBUS_XIO_ORDERING_SET_OFFSET | ,
|  | globus_off_t | offset )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set offset for the next IO operation. This is not allowed when there is an outstanding IO operation. This operation clears all the buffered data.

Parameters

  offset | Specifies the offset to use in the next IO operation.